Relesys API Docs

v1.3

https://api.relesystest.net/api/v1.3

Comments

Get
GET /contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
https://api.relesystest.net/api/v1.3/contentmodules/{moduleId}/content/{contentId}/comments/{commentId}
Get a content comment with ID commentId.

Please note: Comments must be enabled on the module for this endpoint to be called. Otherwise status code 400 - Bad Request will be returned.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid required
contentId string / guid required
commentId string / guid required
Responses
application/json
JSON
{"data":{"id":"917ef988-a757-4bb8-9114-2861d740a8db","url":null,"userId":"7efd944c-cbe1-4316-90a8-e4f838d03d32","userUrl":null,"parentCommentId":"2fe7d75d-7345-4a1c-92f3-eb8fa15bae83","parentCommentUrl":null,"creationDateTime":"2026-04-16T10:43:19.8177231+00:00","lastModifiedDateTime":null,"medias":[{"id":"764c0f2e-8336-45f0-8f53-f0d9a1fcb591","downloadUrl":null,"referenceUrl":null,"contentType":"image/png","fileName":"png"},{"id":"78dd5dbb-bc83-4e45-bf06-35fb48fe8c36","downloadUrl":null,"referenceUrl":null,"contentType":"video/mp4","fileName":"mp4"}],"mentions":null,"locales":[{"culture":"en-GB","text":"Example text 1"}]}}
object
  data object      
   creationDateTime datetimeoffset      
   id string / guid      
   lastModifiedDateTime datetimeoffset      
   locales array[object]      
    culture string      
    text string      
   medias array[object]      
    contentType string      
    downloadUrl string      
    fileName string      
    id string / guid      
    referenceUrl string      
   mentions array[object]      
    id string / guid      
    name string      
    type string      
    url string      
   parentCommentId string / guid      
   parentCommentUrl string      
   url string      
   userId string / guid      
   userUrl string